#ifndef JUEGO_H
#define JUEGO_H

#include <sys/time.h>
#include <string>
#include <list>

#include "GestorRanking.h"

using namespace std;

//Representa al juego
class Juego
{
	public:
		//Constructor
		Juego();
		//comienza el programa del juego		
		void empezar();	

	private:

		static int estado;
		static bool fin;

		//juego
		static void resetTablero();
		static void moverPersonaje();
		static int getMinesAround();
		static void pasarPantalla();

		const static float RATE = 30.0f;
		static int tablero[39][22];
		static int difficulty;
		static int manPosX;
		static int manPosY;
		static int score;
		static int maxScore;
		static int pasos;
		static int tiempoPantalla;
		static int tiempoRestante;
		static bool muerte;
		static int cntMuerte;

		//ranking
		static list<Puntuacion> ranking;

		//meter nombre
		static void meterNombre();
		static void meterPuntuacion();

		static string name;
		static int pos;

		//cambio pantalla
		static int cntCambio;
};

#endif
